package com.ssj.service.kmt.dto;

import com.ssj.service.sys.homework.vo.HomeworkExerciseBookDto;
import com.ssj.service.sys.homework.vo.SubjectVersionsDto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author yrf
 * @date 2019/6/13 14:57
 */
public class AnswerFilterConditionDTO implements Serializable {

    private static final long serialVersionUID = -8424947245291627272L;
    /**
     * 当前页码
     */
    private int pageNo;
    /**
     * 每页条数
     */
    private int pageSize;
    /**
     * 总数
     */
    private int pages;
    private List<HomeworkExerciseBookDto> books;
    private List<SubjectVersionsDto> knowledgeVersions;
    private List<Map<String, String>> grades;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<HomeworkExerciseBookDto> getBooks() {
        return books;
    }

    public void setBooks(List<HomeworkExerciseBookDto> books) {
        this.books = books;
    }

    public List<SubjectVersionsDto> getKnowledgeVersions() {
        return knowledgeVersions;
    }

    public void setKnowledgeVersions(List<SubjectVersionsDto> knowledgeVersions) {
        this.knowledgeVersions = knowledgeVersions;
    }

    public List<Map<String, String>> getGrades() {
        return grades;
    }

    public void setGrades(List<Map<String, String>> grades) {
        this.grades = grades;
    }
}
